Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230296 - Missing drivers/md/dm.h (dm.h) for truecrypt module build
Summary: Missing drivers/md/dm.h (dm.h) for truecrypt module build
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL: http://forums.truecrypt.org/viewtopic...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 01:33 UTC by Bill Adams
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 20:31:38 UTC


Attachments (Terms of Use)

Description Bill Adams 2007-02-28 01:33:03 UTC
Description of problem:
kernel-devel/kernel-headers (2.6.19-1.2911) is missing drivers/md/dm.h which
makes building truecrypt impossible.

Version-Release number of selected component (if applicable):
All, testing with 2.6.19-1.2911

How reproducible:
Every time.

Steps to Reproduce:
1. Install kernel-devel and kernel-headers
2. Note that /usr/src/kernels/2.6.19-1.2911.fc6-i586/drivers/md/ does not
contain dm.h
3.
  
Actual results:


Expected results:


Additional info:
Copying that one file into the kernel tree allows truecrypt to build.

Comment 1 Dave Jones 2007-03-19 20:31:38 UTC
If drivers/md/dm.h is something external modules should be compiling against
(which I'm suspecting they shouldn't given its full of device-mapper internal
defines), it should be moved to include/  This is something that should happen
upstream.



Comment 2 Doug Mitchell 2007-03-26 20:12:49 UTC
The truecrypt module seems to reuse code from the md module, but it is not a
cleanly defined external interface.  What is the best way to handle building
this module into a kmod package?

Thanks,
Doug



Note You need to log in before you can comment on or make changes to this bug.